#!/bin/sh

# build thumb eg
CFLAGS="-pipe -Wall -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -fno-omit-frame-pointer -mlittle-endian -fbuiltin -fno-exceptions -fno-rtti -mcpu=arm9 -mno-sched-prolog  -fno-exceptions -fno-rtti -Os -finline-functions -finline-limit=250  -mthumb -Isrc" 
ASFLAGS="-Wall -EL --defsym TARGETTHUMB=1  -Isrc" 
mkdir object
rm object/*
arm-elf-g++ $CFLAGS -c src/main.cxx -o object/main.o
arm-elf-g++ $CFLAGS -c src/a.cxx -o object/a.o
arm-elf-as $ASFLAGS src/rominit.s -o object/rominit.o
arm-elf-g++ -o gcc-test-thumb -L object/ -Wl,--gc-sections -nostdlib -Wl,-EL -Wl,-N  -Wl,--sort-common  -g  object/main.o object/a.o  -Wl,-T,linker.ld -Wl,--cref
arm-elf-objdump -d gcc-test-thumb > gcc-test-thumb.dump

# build arm eg
CFLAGS="-pipe -Wall -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -fno-omit-frame-pointer -mlittle-endian -fbuiltin -fno-exceptions -fno-rtti -mcpu=arm9 -mno-sched-prolog  -fno-exceptions -fno-rtti -Os -finline-functions -finline-limit=250  -Isrc" 
ASFLAGS="-Wall -EL --defsym TARGETARM=1  -Isrc" 

rm object/*
arm-elf-g++ $CFLAGS -c src/main.cxx -o object/main.o
arm-elf-g++ $CFLAGS -c src/a.cxx -o object/a.o
arm-elf-as $ASFLAGS src/rominit.s -o object/rominit.o
arm-elf-g++ -o gcc-test-arm -L object/ -Wl,--gc-sections -nostdlib -Wl,-EL -Wl,-N  -Wl,--sort-common  -g  object/main.o object/a.o  -Wl,-T,linker.ld -Wl,--cref
arm-elf-objdump -d gcc-test-arm > gcc-test-arm.dump
