.file "rom.S"
.equ _RAM_Limit,0x40000
.equ _SVC_Stack,_RAM_Limit
.code 32	
.text

.globl _ENTRY	
_ENTRY:

    LDR pc,[pc,#0x18]
    LDR pc,[pc,#0x18]
    LDR pc,[pc,#0x18]
    LDR pc,[pc,#0x18]
    LDR pc,[pc,#0x18]
    LDR pc,[pc,#0x18]
    LDR pc,[pc,#0x18]
    LDR pc,[pc,#0x18]

    .word Reset_Handler
    .word Undefined_Handler
    .word SWI_Handler
    .word Prefetch_Handler
    .word Abort_Handler
    .word 0x0
    .word IRQ_Handler
    .word FIQ_Handler
	

.code 32
Undefined_Handler:
    b Undefined_Handler
	
.code 32
SWI_Handler:
   b SWI_Handler

	
.code 32
Prefetch_Handler:
   b Prefetch_Handler
	
.code 32
Abort_Handler:
   b Abort_Handler
	
.code 32
IRQ_Handler:
   b IRQ_Handler
		
.code 32     
FIQ_Handler:
   b FIQ_Handler

.code 32
Reset_Handler:

    MOV     R1, #0xd3 @      No interrupts, SVC
    MSR     CPSR, R1	
    MOV     R13,#_SVC_Stack

.ifdef TARGETTHUMB
@.globl _LTHUMB; 
     ldr     r1, =_LTHUMB
     ORR	r2, r1, #1
     BX	r2
.code  16
_LTHUMB:	 nop
.endif
 
    MOV     r0,#0
    MOV     fp,r0


     BL    main 

_STOP:	
	B _STOP      

.ltorg
	

END:












